Bug 1017355 - Segmentation fault on opening configuration
Segmentation fault on opening configuration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kate-plugin-cpphelper (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 13:17 EDT by john5342
Modified: 2013-11-10 02:57 EST (History)
1 user (show)

See Also:
Fixed In Version: kate-plugin-cpphelper-0.9.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 22:59:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john5342 2013-10-09 13:17:24 EDT
Description of problem:
Opening the C++ Helper settings causes a segmentation fault. The bug is already mentioned (including the fix) in the review request:

https://bugzilla.redhat.com/show_bug.cgi?id=1003156#c6

This is the important part of the backtrace. I can install full debuginfo and provide the full trace but this is enough to show pretty conclusively that the linked problem is what this is:

Thread 1 (Thread 0x7f515d2d48c0 (LWP 2151)):
[KCrash Handler]
#5  0x00007f5150185f2a in kate::CppHelperPluginConfigPage::findBinary(QString const&) const () from /usr/lib64/kde4/katecpphelperplugin.so
#6  0x00007f515018a2f1 in kate::CppHelperPluginConfigPage::CppHelperPluginConfigPage(QWidget*, kate::CppHelperPlugin*) () from /usr/lib64/kde4/katecpphelperplugin.so
#7  0x00007f515019be09 in kate::CppHelperPlugin::configPage(unsigned int, QWidget*, char const*) () from /usr/lib64/kde4/katecpphelperplugin.so

Version-Release number of selected component (if applicable):
kate-4.11.2-1.fc19.x86_64
kate-plugin-cpphelper-0.9.3-2.fc19.x86_64

(note the above kate version is from kde-redhat but the current Fedora version doesn't make any difference)


How reproducible:
Every time


Steps to Reproduce:
1. Open kate.
2. Enable C++ Plugin (Settings -> Configure Kate -> Application -> Plugins).
3. Switch to C++ Helper settings.


Actual results:
Segmentation Fault


Expected results:
Settings page


Additional info:
This bug should have been fixed when it was mentioned in the review request, *BEFORE* releasing it on the users.
Comment 1 Fedora Update System 2013-10-10 16:00:56 EDT
kate-plugin-cpphelper-0.9.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kate-plugin-cpphelper-0.9.6-1.fc19
Comment 2 Fedora Update System 2013-10-10 16:05:08 EDT
kate-plugin-cpphelper-0.9.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kate-plugin-cpphelper-0.9.6-1.fc20
Comment 3 Fedora Update System 2013-10-11 12:49:13 EDT
Package kate-plugin-cpphelper-0.9.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kate-plugin-cpphelper-0.9.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18865/kate-plugin-cpphelper-0.9.6-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-30 22:59:31 EDT
kate-plugin-cpphelper-0.9.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 02:57:39 EST
kate-plugin-cpphelper-0.9.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.